- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat Struct Reference

List of all members.

## Detailed Description

### template<typename TypeName>
struct Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat

Storeage for the file version of the aiff.

Definition at line 366 of file TAiffFileFormat.hpp.

## Public Attributes

- char m_aiffFormatId [4]
- short m_bitsPerSample
- unsigned long m_blockSize
- char m_commId [4]
- long m_commSize
- char m_formId [4]
- long m_formSize
- short m_numberOfChannels
- unsigned long m_numberOfSampleFrames
- unsigned long m_offset
- unsigned long m_sampleRate
- char m_sampleRateBuffer [10]
- char m_ssndId [4]
- long m_ssndSize

## Member Data Documentation

template<typename TypeName>

char Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_aiffFormatId[4]

'AIFF'

Definition at line 371 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::isValidAiffWaveChunk(), and Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

short Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_bitsPerSample

Number of bits in each sample (16 / 24 etc)

Definition at line 378 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_blockSize

Block size

Definition at line 386 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

char Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_commId[4]

'COMM'

Definition at line 374 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::isValidCommChunk(), and Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

long Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_commSize

Size of the file

Definition at line 375 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

char Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_formId[4]

'FORM'

Definition at line 369 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::isValidAiffWaveChunk(), and Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

long Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_formSize

Size of the file

Definition at line 370 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

short Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_numberOfChannels

Number of chanenls

Definition at line 376 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_numberOfSampleFrames

Number of sample frames

Definition at line 377 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_offset

Offset size

Definition at line 385 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_sampleRate

The sample rate -> This is not inside the comm chunk. It is created from the above buffer. Dont try and write to it

Definition at line 380 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::read80BitSampleRate().

template<typename TypeName>

char Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_sampleRateBuffer[10]

80 bit IEEE Standard 754 floating point number - 10 bytes that are then converted to the correct unsigned long value

Definition at line 379 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::read80BitSampleRate().

template<typename TypeName>

char Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_ssndId[4]

'SSND'

Definition at line 383 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::isValidSSNDChunk(), and Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

long Exponent::Audio::TAiffFileFormat< TypeName >::SAiffFileFormat::m_ssndSize

Size of the chunk

Definition at line 384 of file TAiffFileFormat.hpp.

Referenced by Exponent::Audio::TAiffFileFormat< TypeName >::readFileHeader().